package main

import (
	"encoding/json"
	"log"

	"git.science.uu.nl/datastrophe/query-conversion/cypher"
	"git.science.uu.nl/datastrophe/query-conversion/entity"
)

func main() {
	queryservice := cypher.NewService()

	js := []byte(`{
		"return": {
			"entities": [
				0 
			],
			"relations": []
		},
		"entities": [
			{
				"type": "airports",
				"constraints": [
					{
						"attribute": "state",
						"value": "HI",
						"dataType": "text",
						"matchType": "exact"
					}
				]
			}
		],
		"relations": [],
		"limit": 5000
		}`)

	var inc entity.IncomingQueryJSON
	json.Unmarshal(js, &inc)
	result, _ := queryservice.ConvertQuery(&inc)
	log.Println(*result)
}
